AccessibleAttributeSequence (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.accessibility, class: AccessibleAttributeSequence
Keywords: javax.accessibility.AccessibleAttributeSequence class

# Class AccessibleAttributeSequence

java.lang.Object
javax.accessibility.AccessibleAttributeSequence

public class AccessibleAttributeSequence extends Object
This class collects together the span of text that share the same contiguous set of attributes, along with that set of attributes. It is used by implementors of the class `AccessibleContext` in order to generate `ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED` events.

See Also:
  - `AccessibleContext`
  - `AccessibleContext.ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `AttributeSet`
  `attributes`
  The text attributes.
  `int`
  `endIndex`
  The end index of the text sequence.
  `int`
  `startIndex`
  The start index of the text sequence.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessibleAttributeSequence(int start, int end, AttributeSet attr)`
  Constructs an `AccessibleAttributeSequence` with the given parameters.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### startIndex

    public int startIndex
    The start index of the text sequence.

  - ### endIndex

    public int endIndex
    The end index of the text sequence.

  - ### attributes

    public AttributeSet attributes
    The text attributes.

- ## Constructor Details

  - ### AccessibleAttributeSequence

    public AccessibleAttributeSequence(int start, int end, AttributeSet attr)
    Constructs an `AccessibleAttributeSequence` with the given parameters.
    Parameters:
      `start` - the beginning index of the span of text
      `end` - the ending index of the span of text
      `attr` - the `AttributeSet` shared by this text span
    Since:
      1.6